﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductImageListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.ProductImageListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:ProductImageGridView runat="server" ID="Grid" OnDataRetriving="DataRetrievingHandler">
                <Columns>
                    <List:GridColumn Header="Title" PropertyName="Title" Width="40" />
                    <List:GridColumn Header="File Name" PropertyName="FileName" Width="20" />
                </Columns>
                <ActionColumns>
                    <Grid:SetMainImage Header="Main" Width="3" CssClass="setmain png cursor-hand" InactiveCssClass="setmain-inactive png cursor-hand" />
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="inactive-action-column" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="inactive-action-column" />
                </ActionColumns>
            </Grid:ProductImageGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
