<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="GeneralSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.GeneralSettings" %>
<%@ Import namespace="Core.Web.Constants"%>
<%@ Register Src="~/Admin/PageElements/SpanButton.ascx" TagPrefix="uc" TagName="SpanButton" %>

<table cellspacing="0" cellpadding="0" border="0" class="data-area">
  <tbody>
    <tr>
      <td>
        <table cellspacing="15" cellpadding="0" border="0" class="data">
          <tbody>
            <tr>
              <td class="form1">
                <UI:ActionResultView runat="server" ID="ActionResultView" />
                <fieldset>
                  <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                    <Header>
                      <h3 class="delimiter">
                        <span><%=SettingsConfig.Current.ModeSettingsTitle %></span></h3>
                    </Header>
                    <Body>
                      <div class="form-content">
                        <table class="line-form">
                          <tbody>
                            <tr>
                              <td class="label label-50">
                                <UI:FieldView runat="server" ID="IsDebugModeFieldView" RenderColons="false" InputToDisplayID="IsDebugMode" />
                              </td>
                              <td class="control">
                                <UI:CheckBox ID="IsDebugMode" runat="server" Template-DisplayName="Debug Mode" />
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </Body>
                  </Control:CollapsableBox>
                </fieldset>
              </td>
            </tr>
            <tr>
              <td>
                <uc:SpanButton runat="server" id="Save" Title="Save" ToolTip="Save" />
                <uc:SpanButton runat="server" id="Cancel" Title="Cancel" ToolTip="Cancel" />
              </td>
            </tr>
          </tbody>
        </table>
      </td>
    </tr>
  </tbody>
</table>
