﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AdministratorViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.AdministratorViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.AdministratorDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="LoginFieldView" InputToDisplayID="Login" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="Login" runat="server" Template-PropertyName="Account.Login"/>
                                            </td>
                                          </tr>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="PasswordFieldView" InputToDisplayID="Password" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="Password" runat="server" TextMode="Password"
                                              Template-PropertyName="Account.Password" ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="ConfirmationFieldView" 
                                              InputToDisplayID="Confirmation" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="Confirmation" runat="server" TextMode="Password" 
                                              Template-PropertyName="Account.ConfirmPassword"/>
                                            </td>
                                          </tr>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="Email" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="Email" runat="server" Template-PropertyName="Account.Email"/>
                                            </td>
                                          </tr>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="RoleFieldView" InputToDisplayID="Role" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label runat="server" ID="Role" 
                                              Template-PropertyName="Account.AccountType" 
                                              Template-DisplayName="Account"/>
                                            </td>
                                          </tr>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="FirstNameFieldView" InputToDisplayID="FirstName" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="FirstName" runat="server" Template-PropertyName="FirstName"/>
                                            </td>
                                          </tr>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="LastNameFieldView" InputToDisplayID="LastName" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="LastName" runat="server" Template-PropertyName="LastName"/>
                                            </td>
                                          </tr>
                                          <tr>
                                            <td class="label-value">
                                              <UI:FieldView runat="server" ID="LastLoginDateFieldView" InputToDisplayID="LastLoginDate" />
                                            </td>
                                            <td class="control-value">
                                              <UI:Label id="LastLoginDate" runat="server"
                                              Template-PropertyName="Account.LastLoginDate" />
                                            </td>
                                          </tr >
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
