﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CurrencyListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.CurrencyPages.CurrencyListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/CurrencyListing.ascx" TagName="CurrencyListing"
    TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="CurrencyListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                    <tr>
                        <td>
                            <uc:CurrencyListing ID="CurrencyListing" runat="server"></uc:CurrencyListing>
                        </td>
                    </tr>
                </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
