﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ModuleListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.ModulePages.ModuleListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/ModuleListing.ascx" TagName="ModuleListing"
    TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ModuleListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table width="100%" cellspacing="0" cellpadding="0" border="0" class="data-area">
              <tbody>
                <tr>
                  <td>
                    <uc:ModuleListing ID="ModuleListing" runat="server"></uc:ModuleListing>
                  </td>
                </tr>
              </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
