<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true"
  CodeBehind="Profile.aspx.cs" Inherits="Core.Web.Admin.Pages.ProfilePages.Profile"
  ValidateRequest="false" %>

<%@ Register Src="~/Admin/Controls/Editor/ProfileEditor.ascx" TagName="ProfileEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="ProfileEditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <div class="management-buttons flo">
        <uc:HelpButton ID="HelpButton" runat="server" />
        <h2 class="edit-header">
          <%=PageTitle%></h2>
      </div>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tbody>
          <tr>
            <td width="100%" valign="top">
              <Tab:AdministratorTabContainer ID="ProfileTabMenu" runat="server">
                <Items>
                  <Tab:AdministratorTabItem runat="server" ID="Details" Title="Details" Active="true"
                    ActiveForNewEntity="true">
                    <innercontent>
            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                          <tbody>
                                              <tr>
                                                  <td>
                                                      <uc:ProfileEditor id="ProfileEditorControl" runat="server" />
                                                  </td>
                                              </tr>
                                          </tbody>
                                      </table>
            </innercontent>
                  </Tab:AdministratorTabItem>
                </Items>
              </Tab:AdministratorTabContainer>
            </td>
          </tr>
        </tbody>
      </table>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
