﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Objects.Utility"%>
<%@ Import Namespace="Core.DBO.Entity.Orders"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>
<%@ Import Namespace="Core.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderList.ascx.cs" Inherits="Core.Web.Controls.Customers.OrderList" %>

<div class="Slim">
	<div class="OrderHistory">
		<div class="TableData">
		  <asp:Repeater runat="server" ID="OrdersRepeater">
        <HeaderTemplate>
			    <table border="0" cellspacing="0" cellpadding="0">
				    <colgroup class="Num1" span="1">
				    <col class="Num1" />
				    </colgroup>
				    <colgroup class="Num2" span="1">
				    <col class="Num2" />
				    </colgroup>
				    <colgroup class="Num3" span="1">
				    <col class="Num3" />
				    </colgroup>
				    <colgroup class="Num4" span="1">
				    <col class="Num4" />
				    </colgroup>
				    <colgroup class="Num5" span="1">
				    <col class="Num5" />
				    </colgroup>
				    <colgroup class="Num6" span="1">
				    <col class="Num6" />
				    </colgroup>				    
				    <thead>
					    <tr>
						    <th scope="col"><%=UI.Current.OrderDateColumnName%></th>
						    <th scope="col"><%=UI.Current.OrderNumberColumnName%></th>
						    <th scope="col"><%=UI.Current.OrderValueColumnName%></th>
						    <th scope="col"><%=UI.Current.PaymentMethodColumnName%></th>
						    <th scope="col"><%=UI.Current.OrderStatusColumnName%></th>
						    <th scope="col">&nbsp;</th>
					    </tr>
				    </thead>
				    <tbody>        
        </HeaderTemplate>
		    <ItemTemplate>
					<tr>
						<td><%#FormatProvider.FormatDate(Eval("PostedDate") as DateTime?)%></td>
						<td><%#Eval("PaymentOrderID")%></td>
						<td><%#UserMoney(Eval("GrandTotal") as decimal?)%></td>
						<td><%#GetPaymentMethod(Container.DataItem as PaymentOrder)%></td>
						<td><%#GetStatus(Container.DataItem as PaymentOrder)%></td>
						<td><a href="<%#UrlBuilder.GetOrderDetailsUrl(Eval("PaymentOrderID"))%>"><%=UI.Current.ViewOrderText%></a></td>
					</tr>
		    </ItemTemplate>
		    <FooterTemplate>
            </tbody>
			    </table>
		    </FooterTemplate>
		  </asp:Repeater>
		</div>
	</div>
</div>