﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MediaCategoryEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.MediaCategoryEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.MediaCategoryDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Title)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="Title" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Title" Template-PropertyName="Title" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(ParentCategoryField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ParentFieldView" InputToDisplayID="ParentCategoryField" />
                      </td>
                      <td class="control">
                        <Tree:MediaCategoryParentList NeedStructure="true" ID="ParentCategoryField" runat="server"
                          Template-PropertyName="Parent" DefaultItemText="Root" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(CategoryTypeField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="CategoryTypeFieldView" InputToDisplayID="CategoryTypeField" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="CategoryTypeField" runat="server" Template-PropertyName="CategoryType"
                          ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
