﻿<%@ Import Namespace="iFramework.Integration.SwfUpload.Model" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FilesList.ascx.cs" Inherits="Core.Web.Admin.Controls.FileUpload.FilesList" %>
<%@ Import Namespace="iFramework.Core.Utilities" %>
<%@ Import Namespace="iFramework.Integration.SwfUpload.Web" %>
<div id="<%=ClientID%>">
  <asp:Repeater runat="server" ID="Items">
    <ItemTemplate>
      <div class="file-preview" id="<%#GetFileBlockID(Container.ItemIndex)%>">
        <div class="<%#GetWrapperCssClass(Container.DataItem as iFramework.Integration.SwfUpload.Model.File)%>">
          <div class="back">
            <a href="<%#(Eval("Url") as String)%>" title="<%#TextUtility.FormatText(Eval("Title") as String)%>">
              <img src="<%#GetThumbnailUrl(Eval("Thumbnail") as Thumbnail)%>" alt="thumb" />
            </a>
            <div class="title">
              <acronym title="<%#Eval("Title")%>">
                <%#TextUtility.ShrinkText(TextUtility.FormatText(Eval("Title") as String, 20), 20)%></acronym>
            </div>
          </div>
        </div>
        <div class="actions">
          <%#GetDeleteAction(Container.DataItem as iFramework.Integration.SwfUpload.Model.File)%>
          <%#GetEditAction(Container.DataItem as iFramework.Integration.SwfUpload.Model.File)%>
          <%#GetSetMainAction(Container.DataItem as iFramework.Integration.SwfUpload.Model.File)%>
        </div>
      </div>
    </ItemTemplate>
  </asp:Repeater>
</div>
