﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MediaLibraryExplorer.ascx.cs" Inherits="Core.Web.Admin.Controls.MediaLibraryExplorer" %>

<%@ Import Namespace="Core.DBO.Entity.Media" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="iFramework.Core.Utilities" %>

<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <Media:MediaLibraryTreeView runat="server" ID="MediaLibrary" Title="Media Library" 
      IsTreeItemClickable="false" ShowActionColumns="false" DisableChildCheckboxes="false"/>
    </td>
  </tr>
  <tr>
    <td>
      <uc:ButtonsPanel runat="server" id="Buttons" />
    </td>
  </tr>
</table>
