﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ContentPageViewer.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Viewer.ContentPageViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ContentPageDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ParentContentPageFieldView" InputToDisplayID="ParentContentPage" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="ParentContentPage" runat="server" Template-PropertyName="ParentContentPage.Title"
                          Template-DisplayName="Parent Content Page" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="TitleField" runat="server" Template-PropertyName="Title" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="HeaderFieldView" InputToDisplayID="Header" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="Header" runat="server" Template-PropertyName="Header" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="UrlFieldView" InputToDisplayID="Url" />
                      </td>
                      <td class="control-value">
                        <asp:HyperLink ID="ContentPageUrl" runat="server"/>
                        <UI:Label ID="Url" runat="server" Template-PropertyName="Url" Visible="false" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ContentFieldView" InputToDisplayID="Content" />
                      </td>
                      <td class="control-value">
                        <UI:WysiwygLabel ID="Content" runat="server" Template-PropertyName="Content" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaKeywordsFieldView" InputToDisplayID="MetaKeywords" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaKeywords" runat="server" Template-PropertyName="MetaKeywords" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaDescriptionFieldView" InputToDisplayID="MetaDescription" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaDescription" runat="server" Template-PropertyName="MetaDescription"/>
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel id="SubscriptionOnly" runat="server" Template-PropertyName="SubscriptionOnly" 
                        Template-DisplayName="Available for subscribers only"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
