﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Profile.aspx.cs" Inherits="Core.Web.Profile" Title="Untitled Page" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Customers/CustomerDetailsForm.ascx" TagName="CustomerDetailsForm" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Customers/SubscriptionInformation.ascx" TagPrefix="uc" TagName="SubscriptionInformation" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <Front:PopupActionResult runat="server" ID="ActionResultView" TopPosition="50" />
  <div class="Area">
    <div class="FormSection">
      <uc:CustomerDetailsForm runat="server" ID="DetailsForm" />
      <uc:SubscriptionInformation runat="server" ID="SubscriptionInformation" />   
	    <div class="FormControl FormControlIndent-B">
		    <ul class="Groups">
			    <li class="GroupA">
				    <ul>
					    <li><Front:SpanButton runat="server" OnClick="SaveHandler" ID="SaveButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
					    <li><Front:SpanButton runat="server" OnClick="Cancel" ID="CancelButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
				    </ul>
			    </li>
			    <li class="GroupB">
				    <ul>
					    <li>
						    <p class="Note"><%=UI.Current.MandatoryFieldsDisclaimer%></p>
					    </li>
				    </ul>
			    </li>
		    </ul>
	    </div>
    </div>      
  </div>  
</asp:Content>